Mailinglist Archive: opensuse-security-announce (28 mails)

< Previous Next >
[security-announce] SUSE-SU-2015:1633-1: important: Security update for php5
SUSE Security Update: Security update for php5
______________________________________________________________________________

Announcement ID: SUSE-SU-2015:1633-1
Rating: important
References: #935074 #942291 #942293 #942294 #942295 #942296
#944302 #945402 #945403 #945412 #945428
Cross-References: CVE-2015-6831 CVE-2015-6832 CVE-2015-6833
CVE-2015-6834 CVE-2015-6835 CVE-2015-6836
CVE-2015-6837 CVE-2015-6838
Affected Products:
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Module for Web Scripting 12
______________________________________________________________________________

An update that solves 8 vulnerabilities and has three fixes
is now available.

Description:


This update of PHP5 brings several security fixes.

Security fixes:
* CVE-2015-6831: A use after free vulnerability in unserialize() has been
fixed which could be used to crash php or potentially execute code.
[bnc#942291] [bnc#942294] [bnc#942295]
* CVE-2015-6832: A dangling pointer in the unserialization of ArrayObject
items could be used to crash php or potentially execute code.
[bnc#942293]
* CVE-2015-6833: A directory traversal when extracting ZIP files could be
used to overwrite files outside of intended area. [bnc#942296]
* CVE-2015-6834: A Use After Free Vulnerability in unserialize() has been
fixed which could be used to crash php or potentially execute code.
[bnc#945403]
* CVE-2015-6835: A Use After Free Vulnerability in session unserialize()
has been fixed which could be used to crash php or potentially execute
code. [bnc#945402]
* CVE-2015-6836: A SOAP serialize_function_call() type confusion leading
to remote code execution problem was fixed. [bnc#945428]
* CVE-2015-6837 CVE-2015-6838: Two NULL pointer dereferences in the
XSLTProcessor class were fixed. [bnc#945412]

Bugfixes:
* Compare with SQL_NULL_DATA correctly [bnc#935074]
* If MD5 was disabled in net-snmp we have to disable the used MD5 function
in ext/snmp/snmp.c as well. (bsc#944302)

Also the Suhosin framework was updated to 0.9.38. [fate#319325]


Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12:

zypper in -t patch SUSE-SLE-SDK-12-2015-603=1

- SUSE Linux Enterprise Module for Web Scripting 12:

zypper in -t patch SUSE-SLE-Module-Web-Scripting-12-2015-603=1

To bring your system up-to-date, use "zypper patch".


Package List:

- SUSE Linux Enterprise Software Development Kit 12 (ppc64le s390x x86_64):

php5-debuginfo-5.5.14-36.1
php5-debugsource-5.5.14-36.1
php5-devel-5.5.14-36.1

- SUSE Linux Enterprise Module for Web Scripting 12 (ppc64le s390x x86_64):

apache2-mod_php5-5.5.14-36.1
apache2-mod_php5-debuginfo-5.5.14-36.1
php5-5.5.14-36.1
php5-bcmath-5.5.14-36.1
php5-bcmath-debuginfo-5.5.14-36.1
php5-bz2-5.5.14-36.1
php5-bz2-debuginfo-5.5.14-36.1
php5-calendar-5.5.14-36.1
php5-calendar-debuginfo-5.5.14-36.1
php5-ctype-5.5.14-36.1
php5-ctype-debuginfo-5.5.14-36.1
php5-curl-5.5.14-36.1
php5-curl-debuginfo-5.5.14-36.1
php5-dba-5.5.14-36.1
php5-dba-debuginfo-5.5.14-36.1
php5-debuginfo-5.5.14-36.1
php5-debugsource-5.5.14-36.1
php5-dom-5.5.14-36.1
php5-dom-debuginfo-5.5.14-36.1
php5-enchant-5.5.14-36.1
php5-enchant-debuginfo-5.5.14-36.1
php5-exif-5.5.14-36.1
php5-exif-debuginfo-5.5.14-36.1
php5-fastcgi-5.5.14-36.1
php5-fastcgi-debuginfo-5.5.14-36.1
php5-fileinfo-5.5.14-36.1
php5-fileinfo-debuginfo-5.5.14-36.1
php5-fpm-5.5.14-36.1
php5-fpm-debuginfo-5.5.14-36.1
php5-ftp-5.5.14-36.1
php5-ftp-debuginfo-5.5.14-36.1
php5-gd-5.5.14-36.1
php5-gd-debuginfo-5.5.14-36.1
php5-gettext-5.5.14-36.1
php5-gettext-debuginfo-5.5.14-36.1
php5-gmp-5.5.14-36.1
php5-gmp-debuginfo-5.5.14-36.1
php5-iconv-5.5.14-36.1
php5-iconv-debuginfo-5.5.14-36.1
php5-intl-5.5.14-36.1
php5-intl-debuginfo-5.5.14-36.1
php5-json-5.5.14-36.1
php5-json-debuginfo-5.5.14-36.1
php5-ldap-5.5.14-36.1
php5-ldap-debuginfo-5.5.14-36.1
php5-mbstring-5.5.14-36.1
php5-mbstring-debuginfo-5.5.14-36.1
php5-mcrypt-5.5.14-36.1
php5-mcrypt-debuginfo-5.5.14-36.1
php5-mysql-5.5.14-36.1
php5-mysql-debuginfo-5.5.14-36.1
php5-odbc-5.5.14-36.1
php5-odbc-debuginfo-5.5.14-36.1
php5-opcache-5.5.14-36.1
php5-opcache-debuginfo-5.5.14-36.1
php5-openssl-5.5.14-36.1
php5-openssl-debuginfo-5.5.14-36.1
php5-pcntl-5.5.14-36.1
php5-pcntl-debuginfo-5.5.14-36.1
php5-pdo-5.5.14-36.1
php5-pdo-debuginfo-5.5.14-36.1
php5-pgsql-5.5.14-36.1
php5-pgsql-debuginfo-5.5.14-36.1
php5-posix-5.5.14-36.1
php5-posix-debuginfo-5.5.14-36.1
php5-pspell-5.5.14-36.1
php5-pspell-debuginfo-5.5.14-36.1
php5-shmop-5.5.14-36.1
php5-shmop-debuginfo-5.5.14-36.1
php5-snmp-5.5.14-36.1
php5-snmp-debuginfo-5.5.14-36.1
php5-soap-5.5.14-36.1
php5-soap-debuginfo-5.5.14-36.1
php5-sockets-5.5.14-36.1
php5-sockets-debuginfo-5.5.14-36.1
php5-sqlite-5.5.14-36.1
php5-sqlite-debuginfo-5.5.14-36.1
php5-suhosin-5.5.14-36.1
php5-suhosin-debuginfo-5.5.14-36.1
php5-sysvmsg-5.5.14-36.1
php5-sysvmsg-debuginfo-5.5.14-36.1
php5-sysvsem-5.5.14-36.1
php5-sysvsem-debuginfo-5.5.14-36.1
php5-sysvshm-5.5.14-36.1
php5-sysvshm-debuginfo-5.5.14-36.1
php5-tokenizer-5.5.14-36.1
php5-tokenizer-debuginfo-5.5.14-36.1
php5-wddx-5.5.14-36.1
php5-wddx-debuginfo-5.5.14-36.1
php5-xmlreader-5.5.14-36.1
php5-xmlreader-debuginfo-5.5.14-36.1
php5-xmlrpc-5.5.14-36.1
php5-xmlrpc-debuginfo-5.5.14-36.1
php5-xmlwriter-5.5.14-36.1
php5-xmlwriter-debuginfo-5.5.14-36.1
php5-xsl-5.5.14-36.1
php5-xsl-debuginfo-5.5.14-36.1
php5-zip-5.5.14-36.1
php5-zip-debuginfo-5.5.14-36.1
php5-zlib-5.5.14-36.1
php5-zlib-debuginfo-5.5.14-36.1

- SUSE Linux Enterprise Module for Web Scripting 12 (noarch):

php5-pear-5.5.14-36.1


References:

https://www.suse.com/security/cve/CVE-2015-6831.html
https://www.suse.com/security/cve/CVE-2015-6832.html
https://www.suse.com/security/cve/CVE-2015-6833.html
https://www.suse.com/security/cve/CVE-2015-6834.html
https://www.suse.com/security/cve/CVE-2015-6835.html
https://www.suse.com/security/cve/CVE-2015-6836.html
https://www.suse.com/security/cve/CVE-2015-6837.html
https://www.suse.com/security/cve/CVE-2015-6838.html
https://bugzilla.suse.com/935074
https://bugzilla.suse.com/942291
https://bugzilla.suse.com/942293
https://bugzilla.suse.com/942294
https://bugzilla.suse.com/942295
https://bugzilla.suse.com/942296
https://bugzilla.suse.com/944302
https://bugzilla.suse.com/945402
https://bugzilla.suse.com/945403
https://bugzilla.suse.com/945412
https://bugzilla.suse.com/945428

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-security-announce+help@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages